.TH PCAL 1
.SH NAME
pcal \- generate PostScript calendars
.SH SYNOPSIS
.B pcal
[
.B \-e
|
.BR \-f <cal>
] [
.BR \-m <month>
] [
.BR \-y <year>
] [
.B \-r
] [
.BR \-t <title-font>
] [
.BR \-d <day-font>
] [
.B \-p
]
.SH DESCRIPTION
.I Pcal
generates PostScript to produce landscape calendars for any month and year.
The arguments
.B <month>
and
.BR <year> ,
if provided, should be numeric.  The month should be in the range 1 - 12,
and year should be specified as 1 or 2 digits or as the full 4 digit year.
The defaults for month and year are the current month and year.
If month is provided, but zero, the entire year is printed.
.P
If a file named
.I calendar
resides in the callers home directory, it will be searched for lines with
leading dates matching the requested month and year (current by default).
Any text following the date will be printed on the calendar under the
appropriate day of the month.  Dates in the
.I calendar
file may consist of a numeric or alpha month (at least the first 3 characters
for month names) followed by a numeric day and optionally followed by a
year.  Any non-numeric character may separate numeric dates.  Lines in the
.I calendar
file consisting of "year xxxx" (where xxxx is a numeric year) can be used
to set the year for following entries.  This assumes that the following
entries do not contain a year.  Any date entries containing year information
will set the remembered year to that year.
.P
.I Pcal has options:
.P
.TP
.B \-e
Print an empty calendar.  Do not print entries from a calendar file.
.TP
.BR \-f <cal>
Directs
.I pcal
to use the file name <cal> as the input file in place of the default
calendar file in the callers home directory.
.TP
.BR \-t <title-font>
Selects the PostScript font name for titles.
.TP
.BR \-d <day-font>
Selects the PostScript font name for day names.
.TP
.B \-r
Do not rotate the calendar (ie: print portrait rather than landscape).
.TP
.B \-p
Does not print the PostScript prolog code.
.SH SEE ALSO
cal(1)
