#include <stdio.h>
#include <X11/Intrinsic.h>

#include "Calendar.h"

#include <Xm/Xm.h>
#include <Xm/PushB.h>
#include <Xm/Form.h>

int date;
static char *btn_text;

void alldone( widget, closure, call_data )
Widget widget;
caddr_t closure;
caddr_t call_data;
{
  XtFree( btn_text );
  exit();
}

void dateSelect( widget, closure, call_data )
Widget widget;
caddr_t closure;
int call_data[100];
{
int i, j = 0;

  for ( i = 0; i < 100; i++ )
    if ( call_data[i] )
      j++;

  fprintf( stdout, "%d ", j );
}

void prMonth(widget, closure, call_data)
Widget widget;
caddr_t closure;
caddr_t call_data;
{
  fprintf( stdout, "month\n" );
}

void prYear(widget, closure, call_data)
Widget widget;
caddr_t closure;
caddr_t call_data;
{
  fprintf( stdout, "year\n" );
}

static Arg twelve[] = {
  { XmNleftAttachment, (XtArgVal) XmATTACH_POSITION },
  { XmNrightAttachment, (XtArgVal) XmATTACH_POSITION },
  { XmNtopAttachment, (XtArgVal) XmATTACH_POSITION },
  { XmNbottomAttachment, (XtArgVal) XmATTACH_POSITION },
  { XmNleftPosition, (XtArgVal) 10 },
  { XmNrightPosition, (XtArgVal) 90 },
  { XmNtopPosition, (XtArgVal) 10 },
  { XmNbottomPosition, (XtArgVal) 90 },
};

main(argc,argv)
int argc;
char **argv;
{
  Widget shell, form, button, calendar[12];
  Arg args[10];
  char str[10];
  int i, n;

  shell = XtInitialize( argv[0], "tc", NULL, 0, &argc, argv );

  form = XtCreateManagedWidget( "form",
			        xmFormWidgetClass,
			        shell, NULL, 0 );

  btn_text = XmStringCreateLtoR( "Exit", XmSTRING_DEFAULT_CHARSET );

  XtSetArg( args[n], XmNlabelType, XmSTRING ); n++;
  XtSetArg( args[n], XmNlabelString, btn_text ); n++;
  XtSetArg( args[n], XmNwidth, 50 ); n++;
  XtSetArg( args[n], XmNheight, 20 ); n++;
  XtSetArg( args[n], XmNbottomAttachment, XmATTACH_FORM ); n++;
  XtSetArg( args[n], XmNbottomOffset, 5 ); n++;

  button = XtCreateManagedWidget( "button",
				  xmPushButtonWidgetClass,
				  form, args, n );

  XtAddCallback( button, XmNactivateCallback, alldone, NULL );

/* proto code for displaying twelve months */
  if (argv[1])
    {
      XtSetArg(args[0], XmNmonth, atoi(argv[1]) );
      if (argv[2])
	XtSetArg(args[1], XmNyear, atoi(argv[2]) );
    }

  for ( i = 0; i < 12; i++ )
    {
      XtSetArg( args[0], XmNmonth, i + 1 );
      sprintf( str, "cal%d", i );
      calendar[i] = XtCreateManagedWidget( str, calendarWidgetClass,
					   form, args, 2);

      twelve[4].value = (XtArgVal) (1 + (i%3) * 32); /* left */
      twelve[5].value = (XtArgVal) ((i%3+1) * 32); /* right */
      twelve[6].value = (XtArgVal) (1 + (i/3) * 24); /* top */
      twelve[7].value = (XtArgVal) ((i/3+1) * 24); /* bottom */

      XtSetValues( calendar[i], twelve, XtNumber( twelve ) );

      XtAddCallback( calendar[i], XmNdateProc, dateSelect, NULL );
      XtAddCallback( calendar[i], XmNmonthProc, prMonth, NULL );
      XtAddCallback( calendar[i], XmNyearProc, prYear, NULL );
    }

  XtRealizeWidget( shell );
  XtMainLoop();
}
